Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2NotOperator Class Reference

Represents an 'not' element of the option graph. More...

`#include <Xabsl2BooleanExpression.h>`

Inheritance diagram for Xabsl2NotOperator:

[legend]
Collaboration diagram for Xabsl2NotOperator:

[legend]
List of all members.

## Public Member Functions
| Xabsl2NotOperator (Xabsl2BooleanExpression *operand1)
| Constructor.
| ~Xabsl2NotOperator ()
| Destructor.
virtual bool | getValue ()
| Evaluates the boolean expression.
## Private Attributes
Xabsl2BooleanExpression * | operand1
| operand 1

## Detailed Description

Represents an 'not' element of the option graph.

Author:
  Martin Lötzsch

Definition at line 139 of file Xabsl2BooleanExpression.h.

## Constructor & Destructor Documentation

Xabsl2NotOperator::Xabsl2NotOperator | ( | Xabsl2BooleanExpression * | operand1 | ) |

  | Constructor. Creates the element. Parameters:
  operand1 | A boolean expression
Definition at line 247 of file Xabsl2BooleanExpression.cpp.

Xabsl2NotOperator::~Xabsl2NotOperator | ( |  | ) |

| Destructor. Deletes the operand Definition at line 252 of file Xabsl2BooleanExpression.cpp. References operand1.

## Member Function Documentation

bool Xabsl2NotOperator::getValue | ( |  | ) | `[virtual]`

| Evaluates the boolean expression. Implements Xabsl2BooleanExpression. Definition at line 257 of file Xabsl2BooleanExpression.cpp. References Xabsl2BooleanExpression::getValue(), and operand1.

Here is the call graph for this function:

## Member Data Documentation

Xabsl2BooleanExpression* Xabsl2NotOperator::operand1`[private]`

| operand 1 Definition at line 156 of file Xabsl2BooleanExpression.h. Referenced by getValue(), and ~Xabsl2NotOperator().

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2BooleanExpression.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2BooleanExpression.cpp